%define ffversion 20170731

%define major 2
%define gdraw_major 5
%define gunicode_major 4
%define libname %mklibname %{name} %{major}
%define libgdraw %mklibname gdraw %{gdraw_major}
%define libgioftp %mklibname gioftp %{major}
%define libgunicode %mklibname gunicode %{gunicode_major}
%define libgutils %mklibname gutils %{major}
%define libexe %mklibname %{name}exe %{major}
%define devname %mklibname %{name} -d

%define gnulib_githead 2bf7326

Summary:	Font Editor for PostScript, TrueType, OpenType and various fonts
Name:		fontforge
Version:	1.0
Release:	0.%{ffversion}.1
License:	BSD-like
Group:		Publishing
Url:		http://fontforge.sourceforge.net/
# For current version, check https://github.com/fontforge/fontforge/releases
Source0:	http://github.com/fontforge/fontforge/archive/%{ffversion}.tar.gz
# https://github.com/fontforge/fontforge/issues/1725
# http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=snapshot;h=%{gnulib_githead};sf=tgz;name=gnulib-%{gnulib_githead}.tar.gz
Source1:	gnulib-%{gnulib_githead}.tar.gz
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch1:		fontforge-20140813-use-system-uthash.patch
#Patch0:		fontforge-20110222-link.patch
#Patch1:		fontforge-20090224-pythondl.patch
#Patch2:		fontforge-20110222-libz.so-linkage.patch
#Patch3:		fontforge-20120731-b-giflib51.patch

BuildRequires:	chrpath
BuildRequires:	desktop-file-utils
BuildRequires:	git
BuildRequires:	jpeg-devel
BuildRequires:	libuninameslist-devel
BuildRequires:	libltdl-devel
BuildRequires:	ungif-devel
BuildRequires:	uthash-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(pangoxft)

# (Abel) it wants either autotrace or potrace
Requires:	potrace
Provides:	/usr/bin/fontforge

%description
FontForge is an outline font editor that lets you create your own 
postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and 
bitmap (bdf) fonts, or edit existing ones. Also lets you convert one
format to another. FontForge has support for many macintosh font formats.

%files -f FontForge.lang
%doc LICENSE doc/README-unix doc/README-Unix.html doc/html/fontforge-tutorial.pdf
%{_bindir}/*
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/fontforge.xml
%{_datadir}/%{name}

#----------------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for %{name}

%description -n %{libname}
This package contains the shared library libfontforge.

%files -n %{libname}
%{_libdir}/libfontforge.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libexe}
Group:          System/Libraries
Summary:        Library for %{name}

%description -n %{libexe}
This package contains the shared library libfontforgeexe.

%files -n %{libexe}
%{_libdir}/libfontforgeexe.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgdraw}
Group:		System/Libraries
Summary:	Library for %{name}

%description -n %{libgdraw}
This package contains the shared library libgdraw.

%files -n %{libgdraw}
%{_libdir}/libgdraw.so.%{gdraw_major}*

#----------------------------------------------------------------------------

%package -n %{libgioftp}
Group:		System/Libraries
Summary:	Library for %{name}

%description -n %{libgioftp}
This package contains the shared library libgioftp.

%files -n %{libgioftp}
%{_libdir}/libgioftp.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libgunicode}
Group:		System/Libraries
Summary:	Library for %{name}

%description -n %{libgunicode}
This package contains the shared library libgunicode.

%files -n %{libgunicode}
%{_libdir}/libgunicode.so.%{gunicode_major}*

#----------------------------------------------------------------------------

%package -n %{libgutils}
Group:		System/Libraries
Summary:	Library for %{name}

%description -n %{libgutils}
This package contains the shared library libgutils.

%files -n %{libgutils}
%{_libdir}/libgutils.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Group:		Development/C
Summary:	Development files for %{name}
Requires:	%{libname} = %{EVRD}
Requires:	%{libgdraw} = %{EVRD}
Requires:	%{libgioftp} = %{EVRD}
Requires:	%{libgunicode} = %{EVRD}
Requires:	%{libgutils} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the development files for %{name}.

%files -n %{devname}
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}

#----------------------------------------------------------------------------

%package python
Group:		Development/Python
Summary:	Library bindings for python

%description python
This package contains the python library for python applications that
use %{name}.

%files python
%{py_platsitedir}/fontforge.so
%{py_platsitedir}/psMat.so

#----------------------------------------------------------------------------

%prep
%setup -qn fontforge-%{ffversion}
tar xzf %{SOURCE1}

%apply_patches

mkdir -p htdocs
cp -pr doc/html/* htdocs
chmod 644 htdocs/nonBMP/index.html
# Fix bad line terminators
sed -i 's/\r//' htdocs/Big5.txt
sed -i 's/\r//' htdocs/corpchar.txt

%build
./bootstrap --skip-git --gnulib-srcdir=gnulib-%{gnulib_githead}
%configure2_5x \
	--disable-static \
	--with-freetype-bytecode=no \
	--with-regular-link \
	--enable-pyextension \
	--enable-longdouble \
	--enable-type3 \
	--enable-libff

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	desktop/fontforge.desktop

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/mime/packages

install -p desktop/fontforge.xml %{buildroot}/%{_datadir}/mime/packages/

chrpath -d %{buildroot}%{_bindir}/%{name} %{buildroot}%{_libdir}/*.so.*

%find_lang FontForge


%changelog

* Tue Aug 15 2017 dsilakov <denis.silakov@rosalab.ru> 1.0-0.20170731.1
- (f298b15) Merge pull request #2 from vladimir71/fontforge:rosa2014.1
- (f298b15) fontforge


